curl --url https://try.flipt.io/api/v1/namespaces/default/segments/{key} \
--header 'Accept: application/json'
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"constraints": [
{
"id": "<string>",
"segmentKey": "<string>",
"property": "<string>",
"operator": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"namespaceKey": "<string>",
"description": "<string>"
}
],
"namespaceKey": "<string>"
}Segments
Get Segment
GET
/
api
/
v1
/
namespaces
/
{namespaceKey}
/
segments
/
{key}
curl --url https://try.flipt.io/api/v1/namespaces/default/segments/{key} \
--header 'Accept: application/json'
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"constraints": [
{
"id": "<string>",
"segmentKey": "<string>",
"property": "<string>",
"operator": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"namespaceKey": "<string>",
"description": "<string>"
}
],
"namespaceKey": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.flipt.io/llms.txt
Use this file to discover all available pages before exploring further.
curl --url https://try.flipt.io/api/v1/namespaces/default/segments/{key} \
--header 'Accept: application/json'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
⌘I